<?php

namespace App\Http\Controllers;

use App\Helpers\LogHelper;
use App\Models\Task;
use Carbon\Carbon;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;

class AdminDashboardController extends Controller
{
    public function index()
    {   
        return view('dashboard.index');
    }

    public function home()
    {
        $all = Auth::user()->getUsersAllTasks->count();
        $completed = Auth::user()->getUsersAllTasks->where('pivot.completed', true)->count();
        $uncompleted = Auth::user()->getUsersAllTasks->where('pivot.completed', false)->count();

        return view('dashboard')->with(['all' => $all, 'completed' => $completed, 'uncompleted' => $uncompleted]);
    }

    public function show_task($id)
    {
        $task = Task::findOrFail($id);

        return view('dashboard.show_task', compact('id', 'task'));
    }

    public function export_database()
    {

        Artisan::queue('backup:run', ['--only-db' => true]);

        $message = "Database is successfully exported";
        $data = [];
        LogHelper::logInfo($message, $data);

        return redirect()->back()->with('message', $message);
    }
}
