<?php

namespace App\Http\Livewire\Roles;

use Livewire\Component;
use Livewire\WithPagination;
use Spatie\Permission\Models\Role;
use ProtoneMedia\LaravelCrossEloquentSearch\Search;

class RolesCrud extends Component
{
    use WithPagination;

    protected $listeners = ['refreshComponent' => '$refresh', 'successAlert', 'successError'];

    public $searchKeyword;

    public function render()
    {
        if (!empty($this->searchKeyword)) {
            $roles = Search::add(Role::class, 'name')
                ->paginate(20)
                ->search($this->searchKeyword);
        } else {
            $roles = Role::paginate(20);
        }
        return view('livewire.roles.roles-crud', [
            'roles' => $roles,
        ]);
    }

    public function successAlert($message){
        session()->flash('message',$message);
    }

    public function successError($message){
        session()->flash('error',$message);
    }


}
