<?php

namespace App\Http\Livewire\Tables;

use App\Models\Role;
use App\Models\User;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\Http\Livewire\LivewireDatatable;

class Users extends LivewireDatatable
{
    public $route_edit = 'users.edit';
    protected $query;
    public $hideable = 'select';
    public $exportable = true;
    public $complex = true;
    public $persistComplexQuery = true;
    public $afterTableSlot = 'components.selected';
    //    public $exportable = true; ako ovde go ima kje se pokaze vo tabelata

    public function builder()
    {
        //        return User::query();
        return User::query()->leftJoin('user_data', 'users.id', 'user_data.user_id');
        //            ->leftJoin('model_has_roles', 'model.id', 'model_has_roles.model_id');
    }

    public function delete($id)
    {

        $user = User::find($id);
        //        $user->courses()->detach();
        $user->delete();
    }

    public function columns()
    {
        $id = $this->id;
        return [

            Column::checkbox(),

            Column::name('username')
                ->label('Username')
                ->sortBy('username')
                ->filterable(),

            Column::name('email')
                ->label('Email')
                ->sortBy('email')
                ->filterable(),


            Column::name('user_data.first_name')
                ->label('First Name')
                ->sortBy('first_name')
                ->filterable(),

            Column::name('user_data.last_name')
                ->label('Last Name')
                ->sortBy('last_name')
                ->filterable(),

            //            Column::name('model_has_roles.model_type')
            //                ->label('Role')
            //                ->sortBy('Role')
            //                ->filterable(),

            Column::callback('id', 'getRole')
                ->filterable($this->roles->pluck('name'))
                ->label("Role"),

            Column::callback(['id', 'username'], function ($id, $username) {
                return view('livewire.tables.partials.user-admin-actions', ['id' => $id, 'username' => $username, 'route' => $this->route_edit]);
            })->unsortable(),
        ];
    }

    public function getRolesProperty()
    {
        return Role::first();
    }

    public function getRole($id)
    {
        //         dd($this->activeSelectFilters);
        $users = User::find($id);
        //        return $user->roles->pluck('name');
        return $users->first_role_name();
    }

    //    public function  export($ext){
    //            abort_if(!in_array($ext, ['csv', 'xlsx', 'pdf']), Response::HTTP_NOT_FOUND);
    //    }

    //    public function export(){
    ////        abort_if(!in_array($ext, ['csv', 'xlsx', 'pdf']), Response::HTTP_NOT_FOUND);
    //        return Excel->download(new UsersExport());
    //    }
}
