<?php

namespace App\Http\Livewire\Tasks;

use App\Helpers\DocumentHelper;
use App\Models\Task;
use App\Models\UserTaskDocument;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Show extends Component
{
    public $task;
    public $value;
    public $class;
    public $task_documents;
    public $is_open = false;
    public $document;
    protected $listeners = ['set_button' => '$refresh'];

    public function mount($id)
    {
        $this->task = Task::findOrFail($id);
        $this->task_documents = UserTaskDocument::query()
        ->where('task_id', $this->task->id)
        ->where('user_id', Auth::id())
        ->get();
    }

    public function render()
    {
        $this->testing = UserTaskDocument::query()
        ->where('task_id', 3)
        ->where('user_id', Auth::id())
        ->get();
        return view('livewire.tasks.show');
    }

    public function get_document($file_id)
    {
        $this->document = UserTaskDocument::findOrFail($file_id);
        $this->open_modal();
    }

    public function mark_document(){
        $this->document->update(['is_read' => true, 'opened_at' => Carbon::now()->format('Y-m-d H:i:s')]);
        DocumentHelper::checkAllDocumentsUserTaskIsRead($this->task->id, Auth::user()->id);
       
        $this->emit('set_button');
        $this->close_modal();
    }

    public function open_modal()
    {
        $this->is_open = true;
    }

    public function close_modal()
    {
        $this->is_open = false;
    }

}
