<header class="w-full items-center h-16 rounded-2xl z-40">
    <div class="relative z-20 flex flex-col justify-center h-full px-3 mx-auto flex-center">
        <div class="relative items-center pl-1 flex w-full lg:max-w-68 sm:pr-2 sm:ml-0 justify-end">
            <div class="container relative left-0 z-50 flex  h-auto h-full justify-end">
                <div class="relative p-1 flex items-center justify-end w-1/4 ml-5 mr-4 sm:mr-0 sm:right-auto">

                    <livewire:language.set-language/>

                    <x-jet-dropdown align="right" width="48">
                        <x-slot name="trigger">
                            @if (Laravel\Jetstream\Jetstream::managesProfilePhotos())
                                <button class="flex text-sm border-2 border-transparent rounded-full focus:outline-none focus:border-gray-300 transition">
                                    <img class="h-8 w-8 rounded-full object-cover" src="{{ Auth::user()->profile_photo_url }}" alt="{{ Auth::user()->name }}" />
                                </button>
                            @else
                                <span class="inline-flex rounded-md">
                                    <button type="button" class="inline-flex items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 hover:text-gray-700 focus:outline-none transition">
                                        {{ Auth::user()->name }}

                                        <svg class="ml-2 -mr-0.5 h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor">
                                            <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                        </svg>
                                    </button>
                                </span>
                            @endif
                        </x-slot>

                        <x-slot name="content">
                            <!-- Account Management -->
                            <div class="block px-4 py-2 text-xs text-gray-400">
                                {{ __('Manage Account') }}
                            </div>

                            <x-jet-dropdown-link href="{{ route('profile.show') }}">
                                {{ __('messages.Profile') }}
                            </x-jet-dropdown-link>

                            @if (Laravel\Jetstream\Jetstream::hasApiFeatures())
                                <x-jet-dropdown-link href="{{ route('api-tokens.index') }}">
                                    {{ __('API Tokens') }}
                                </x-jet-dropdown-link>
                            @endif

                            <div class="border-t border-gray-100"></div>

                            <!-- Authentication -->
                            <form method="POST" action="{{ route('logout') }}" x-data>
                                @csrf

                                <x-jet-dropdown-link href="{{ route('logout') }}"
                                            @click.prevent="$root.submit();">
                                    {{ __('Log Out') }}
                                </x-jet-dropdown-link>
                            </form>
                        </x-slot>
                    </x-jet-dropdown>
                </div>



                {{-- <div class="row">
                    <div class="col-md-2 col-md-offset-6 text-right">
                        <strong>Select Language: </strong>
                    </div>
                    <div class="col-md-4">
                        <select class="form-control changeLang">
                            <option value="en" {{ session()->get('locale') == 'en' ? 'selected' : '' }}>English</option>
                            <option value="mk" {{ session()->get('locale') == 'mk' ? 'selected' : '' }}>Macedonian</option>
                        </select>
                    </div>
                </div>



                <h1>{{ __('messages.title') }}</h1> --}}

                <button id="multiLevelDropdownButton" data-dropdown-toggle="dropdown" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2.5 text-center inline-flex items-center lg:hidden" type="button">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
                <!-- Dropdown menu -->
                <div id="dropdown" class="hidden z-10 w-44 bg-white rounded divide-y divide-gray-100 shadow">
                    <ul class="py-1 text-sm bg-white text-gray-700 dark:bg-gray-900 dark:text-gray-400" aria-labelledby="multiLevelDropdownButton">

                        @if(Auth::user()->hasPermissionTo('manage tasks'))
                            <li>
                                <a href="{{ route('dashboard.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {!! __('messages.Dashboard') !!}
                                </a>
                            </li>
                        @else
                            <li>
                                <a href="{{ route('dashboard.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {!! __('messages.Dashboard') !!}
                                </a>
                            </li>
                        @endif

                        <li>
                            <a href="{{ route('profile.show') }}" class="block py-2 px-4 hover:bg-gray-100">
                                {{ __('messages.Profile') }}
                            </a>
                        </li>

                        @if(Auth::user()->hasPermissionTo('manage users'))
                            <li>
                                <a href="{{ route('users.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Users') }}
                                </a>
                            </li>
                        @endif

                        @if (Auth::user()->hasPermissionTo('restore archived users'))
                            <li>
                                <a href="{{ route('users.archived') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Archived Users') }}
                                </a>
                            </li>
                        @endif

                        @if (Auth::user()->hasPermissionTo('manage user roles'))
                            <li>
                                <a href="{{ route('users.roles') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Roles') }}
                                </a>
                            </li>
                        @endif

                        @if (Auth::user()->hasPermissionTo('manage user permissions'))
                            <li>
                                <a href="{{ route('users.permissions') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Permissions') }}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('manage job licenses'))
                            <li>
                                <a href="{{ route('job_license.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Job licenses') }}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('manage job authorizations'))
                            <li>
                                <a href="{{ route('job_authorization.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Job authorizations') }}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('manage job descriptions'))
                            <li>
                                <a href="{{ route('job_description.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Job descriptions') }}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('manage tasks') || Auth::user()->hasPermissionTo('view user tasks'))
                            <li>
                                <a href="{{ route('tasks.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {{ __('messages.Tasks') }}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('restore archived tasks'))
                            <li>
                                <a href="{{ route('tasks.archived') }}" class="block py-2 px-4 hover:bg-gray-100">
                                    {!! __('messages.Archived Tasks') !!}
                                </a>
                            </li>
                        @endif

                        @if(Auth::user()->hasPermissionTo('manage logs'))
                        <li>
                            <a href="{{ route('logs.index') }}" class="block py-2 px-4 hover:bg-gray-100">
                                {!! __('messages.Logs') !!}
                            </a>
                        </li>
                        @endif
                        @if(Auth::user()->hasPermissionTo('export database'))
                            <li>
                               <a href="{{ route('db.export') }}" onclick="return confirm('Are you sure you want to export database?');" class="block py-2 px-4 hover:bg-gray-100">
                                    {!! __('messages.Export Database') !!}
                                </a>
                            </li>
                        @endif



                    </ul>
                </div>
                <div>
                    <button id="theme-toggle" type="button" class="text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg text-sm p-2.5">
                        <svg id="theme-toggle-dark-icon" class="hidden w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M17.293 13.293A8 8 0 016.707 2.707a8.001 8.001 0 1010.586 10.586z"></path></svg>
                        <svg id="theme-toggle-light-icon" class="hidden w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M10 2a1 1 0 011 1v1a1 1 0 11-2 0V3a1 1 0 011-1zm4 8a4 4 0 11-8 0 4 4 0 018 0zm-.464 4.95l.707.707a1 1 0 001.414-1.414l-.707-.707a1 1 0 00-1.414 1.414zm2.12-10.607a1 1 0 010 1.414l-.706.707a1 1 0 11-1.414-1.414l.707-.707a1 1 0 011.414 0zM17 11a1 1 0 100-2h-1a1 1 0 100 2h1zm-7 4a1 1 0 011 1v1a1 1 0 11-2 0v-1a1 1 0 011-1zM5.05 6.464A1 1 0 106.465 5.05l-.708-.707a1 1 0 00-1.414 1.414l.707.707zm1.414 8.486l-.707.707a1 1 0 01-1.414-1.414l.707-.707a1 1 0 011.414 1.414zM4 11a1 1 0 100-2H3a1 1 0 000 2h1z" fill-rule="evenodd" clip-rule="evenodd"></path></svg>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <script>
        var themeToggleDarkIcon = document.getElementById('theme-toggle-dark-icon');
        var themeToggleLightIcon = document.getElementById('theme-toggle-light-icon');

        // Change the icons inside the button based on previous settings
        if (localStorage.getItem('color-theme') === 'dark' || (!('color-theme' in localStorage) && window.matchMedia('(prefers-color-scheme: dark)').matches)) {
            themeToggleLightIcon.classList.remove('hidden');
        } else {
            themeToggleDarkIcon.classList.remove('hidden');
        }

        var themeToggleBtn = document.getElementById('theme-toggle');

        themeToggleBtn.addEventListener('click', function() {

            // toggle icons inside button
            themeToggleDarkIcon.classList.toggle('hidden');
            themeToggleLightIcon.classList.toggle('hidden');

            // if set via local storage previously
            if (localStorage.getItem('color-theme')) {
                if (localStorage.getItem('color-theme') === 'light') {
                    document.documentElement.classList.add('dark');
                    localStorage.setItem('color-theme', 'dark');
                } else {
                    document.documentElement.classList.remove('dark');
                    localStorage.setItem('color-theme', 'light');
                }

            // if NOT set via local storage previously
            } else {
                if (document.documentElement.classList.contains('dark')) {
                    document.documentElement.classList.remove('dark');
                    localStorage.setItem('color-theme', 'light');
                } else {
                    document.documentElement.classList.add('dark');
                    localStorage.setItem('color-theme', 'dark');
                }
            }

        });
    </script>
</header>
