<div class="fixed z-10 inset-0 overflow-y-auto ease-out duration-400">
    <div class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0">

        <div class="fixed inset-0 transition-opacity">
            <div class="absolute inset-0 bg-gray-500 opacity-75"></div>
        </div>

        <!-- This element is to trick the browser into centering the modal contents. -->
        <span class="hidden sm:inline-block sm:align-middle sm:h-screen"></span>​

        <div class="inline-block align-bottom bg-white rounded-lg text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full" role="dialog" aria-modal="true" aria-labelledby="modal-headline">
            <form>
                <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                    <div class="">
                        <div class="mb-4 text-center">
                            <label for="name" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"> {{ __('messages.Name') }}</label>
                            <input {{ $readonly }} type="text" class="shadow appearance-none border rounded w-full py-2 px-3 bg-white text-gray-700 dark:bg-gray-500 dark:text-gray-900 dark:placeholder-gray-300 leading-tight focus:outline-none focus:shadow-outline" id="name" placeholder=" {{ __('messages.Enter Name') }}" wire:model="name">
                            @error('name') <span class="text-red-500">{{ $message }}</span>@enderror
                        </div>
                        <div class="mb-4 text-center">
                            <label for="description" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"> {{ __('messages.Description') }}</label>
                            <textarea {{ $readonly }} class="shadow appearance-none border rounded w-full py-2 px-3 bg-white text-gray-700 dark:bg-gray-500 dark:text-gray-900 dark:placeholder-gray-300 leading-tight focus:outline-none focus:shadow-outline" style="height: 100px;" id="description" placeholder=" {{ __('messages.Enter Description') }}" wire:model="description"></textarea>
                            @error('description') <span class="text-red-500">{{ $message }}</span>@enderror
                        </div>
                        <div class="mb-4 text-center">
                            <label for="authorization_number" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"> {{ __('messages.Authorization number') }}</label>
                            <input {{ $readonly }} type="text" class="shadow appearance-none border rounded w-1/2 py-2 px-3 bg-white text-gray-700 dark:text-gray-900 dark:bg-gray-500 dark:placeholder-gray-300 text-center leading-tight focus:outline-none focus:shadow-outline" id="authorization_number" placeholder=" {{ __('messages.Enter authorization number') }}" wire:model="authorization_number">
                            @error('authorization_number') <span class="text-red-500">{{ $message }}</span>@enderror
                        </div>
                    </div>
                </div>

                <div class="bg-white dark:bg-gray-800 px-4 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
                    @if (!$readonly)
                    <span class="flex w-full rounded-md shadow-sm sm:ml-3 sm:w-auto">
                        <button wire:click.prevent="store()" type="button" class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                            {{ __('messages.Save') }}
                        </button>
                    </span>
                    <span class="mt-3 flex w-full rounded-md shadow-sm sm:mt-0 sm:w-auto">
                        <button wire:click="closeModal()" type="button" class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-gray-800 dark:text-white dark:border-gray-600 dark:hover:bg-gray-700 dark:hover:border-gray-600 dark:focus:ring-gray-700">
                             {{ __('messages.Cancel') }}
                        </button>
                    </span>
                    @else
                    <span class="mt-3 flex w-full rounded-md shadow-sm sm:mt-0 sm:w-auto">
                        <button wire:click="closeModal()" type="button" class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-gray-800 dark:text-white dark:border-gray-600 dark:hover:bg-gray-700 dark:hover:border-gray-600 dark:focus:ring-gray-700">
                             {{ __('messages.Close') }}
                        </button>
                    </span>
                    @endif
                </div>
            </form>
        </div>
    </div>
</div>
