<div class="py-2">
    <?php if(session()->has('message')): ?>
        <div class="bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm"><?php echo e(session('message')); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <?php if(session()->has('success')): ?>
        <div class="bg-green-100 border-t-4 border-green-500 rounded-b text-green-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm"><?php echo e(session('success')); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <div class="flex">

        
        <?php echo $__env->make('livewire.tasks.partials.job_description', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        
        <?php echo $__env->make('livewire.tasks.partials.job_license', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        
        <?php echo $__env->make('livewire.tasks.partials.job_autherization', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        
        <?php echo $__env->make('livewire.tasks.partials.all_users', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </div>
    <?php if(!$readonly): ?>
        <?php if($filterTags && count($filterTags)>0): ?>
                <div class="relative w-full group px-4  sm:p-6">
                    <h3 class="font-semibold text-gray-900 dark:text-white"><?php echo app('translator')->get('messages.Tags'); ?>:
                        <?php $__currentLoopData = $filterTags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <button x-on:click="$wire.clear_one_fields('<?php echo e($tag); ?>')"
                                class="px-2 py-1 font-semibold text-sm bg-blue-500 text-white rounded-full shadow-sm">
                                <?php echo e($tag); ?>

                            </button>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <button x-on:click="$wire.clear_all_fields()"
                            class="ml-5 px-2 py-1 font-semibold text-sm bg-gray-500 text-white rounded-full shadow-sm"><?php echo app('translator')->get('messages.Clear Filter'); ?>
                        </button>
                    </h3>
                </div>
            <?php endif; ?>
        <?php endif; ?>









    <?php if(Auth::user()->hasPermissionTo('manage tasks')): ?>
            <div class="flex">
                <div class="w-full">
                    <div class="relative w-full group px-4 pt-5 sm:p-6 ">

                        <h3 class="font-semibold text-gray-900 dark:text-white"><?php echo e(__('messages.Selected Users')); ?> : <?php echo e($data_user_attach ? count($data_user_attach) : "0"); ?></h3>
                    </div>
                    <div class="overflow-y-scroll h-80 relative mb-6 w-full group px-4 pb-4 border-black ">
                        <div wire:loading.delay wire:target="job_descriptions_attach, job_licenses_attach, job_authorizations_attach"
                            class="w-full border-hidden">
                            <span class="ml-2 border-hidden">Loading...</span>
                        </div>
                        <ul class="w-full text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                            <?php if($users): ?>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($data_user_attach && in_array($user->id, $data_user_attach)): ?>
                                        <li wire:loading.remove
                                            wire:target="job_descriptions_attach, job_licenses_attach, job_authorizations_attach"
                                            class="w-full rounded-t-lg border-b border-gray-200 dark:border-gray-600 bg-gray-100 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                                            <div class="flex items-center pl-3">
                                                <input type="checkbox" value="<?php echo e($user->id); ?>"
                                                       wire:model="data_user_attach"
                                                       class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500">
                                                <label
                                                    class="py-3 ml-2 w-full text-sm font-medium text-gray-900 dark:text-gray-300">
                                                    <?php echo $user->userData->first_name; ?> <?php echo $user->userData->last_name; ?>

                                                    , <?php echo e($user->job_description->name); ?>, <?php echo e($user->getAllLicencesName()); ?>, <?php echo $user->getAllAuthorizationsName(); ?>

                                                </label>
                                            </div>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
    <?php endif; ?>
    <div class="flex">
        <div class="w-1/2">
        <form wire:submit.prevent="submit">
            <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                <div>
                    <div class="mb-4 text-center">
                        <label for="title" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"><?php echo e(__('messages.Title')); ?></label>
                        <input <?php echo e($readonly); ?> type="text" class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 block w-full"
                        
                        id="title" placeholder="<?php echo e(__('messages.Enter')); ?> <?php echo e(__('messages.Title')); ?>" wire:model.defer="title">
                        <?php $__errorArgs = ['title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="mb-4 text-center">
                        <label for="description" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"><?php echo e(__('messages.Description')); ?></label>
                        <textarea <?php echo e($readonly); ?> class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 block w-full" style="height: 160px;" id="description" placeholder="<?php echo e(__('messages.Enter')); ?> <?php echo e(__('messages.Description')); ?>" wire:model.defer="description"></textarea>
                        <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="mb-8 text-center">
                        <label for="due_date" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"><?php echo e(__('messages.Due date')); ?></label>
                        <input <?php echo e($readonly); ?> type="datetime-local"
                        class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 w-1/3 text-center"
                        id="due_date" placeholder="<?php echo e(__('messages.Enter')); ?> <?php echo e(__('messages.Due date')); ?>"wire:change="toggle_reminders()" wire:model.defer="due_date">
                        <?php $__errorArgs = ['due_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <?php if(Auth::user()->hasPermissionTo('manage tasks')): ?>
                        <?php if($show_reminders): ?>
                            <h3 class="mb-4 font-semibold text-gray-900 dark:text-white">Set reminders</h3>
                            <ul class="w-60 text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                                <?php $__currentLoopData = $reminders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="w-full rounded-t-lg border-b border-gray-200 dark:border-gray-600 text-sm leading-4 font-medium rounded-md text-gray-700 bg-gray-200 hover:text-gray-900 hover:bg-gray-400 dark:text-gray-300 dark:bg-gray-700 dark:hover:text-white dark:hover:bg-gray-500 focus:outline-none transitiondark:border-gray-600">
                                        <div class="flex items-center pl-3">

                                            <input id="default-checkbox-<?php echo e($date->id); ?>"
                                                type="checkbox"
                                                value="<?php echo e($date->id); ?>"
                                                wire:model.defer="checked_reminders"
                                                class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500"
                                                >
                                            <label for="default-checkbox-<?php echo e($date->id); ?>" class="py-3 ml-2 w-full text-sm font-medium dark:text-gray-300"><?php echo e($date->name); ?></label>
                                        </div>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
            <?php if(!$readonly): ?>
                <div class="mt-10 px-4 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
                    <span class="flex w-full rounded-md shadow-sm sm:ml-3 sm:w-auto">
                        <button type="submit" class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                            <?php echo e(__('messages.Save')); ?>

                        </button>
                    </span>
                </div>
            <?php endif; ?>
        </div>

        <div class="w-1/2">
            <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                <div>
                    <label for="documents" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"><?php echo e(__('messages.Documents')); ?></label>
                    <div class="space-y-1 text-center">
                        <div
                            class="justify-center items-center"
                            x-data="drop_file_component()">
                            <?php if(Auth::user()->hasPermissionTo('manage tasks')): ?>
                            <div
                                class="dark:bg-gray-900 dark:border-gray-100 rounded border-dashed border-2 flex flex-col justify-center items-center"
                                x-bind:class="dropingFile ? 'bg-gray-400 border-gray-500 dark:bg-gray-300 dark:border-gray-300' : 'border-gray-500 bg-gray-200 dark:border-gray-300 dark:bg-gray-500'"
                                x-on:drop="dropingFile = false"
                                x-on:drop.prevent="handleFileDrop($event)"
                                x-on:dragover.prevent="dropingFile = true"
                                x-on:dragleave.prevent="dropingFile = false">
                                <svg xmlns="http://www.w3.org/2000/svg" class="h-16 w-16" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z" />
                                </svg>
                                <?php if(!$readonly): ?>
                                <label class="block mb-2 text-sm font-medium text-gray-900 dark:text-white" for="multiple_files">Upload files</label>
                                <input class="block w-1/3 text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 dark:text-gray-400 focus:outline-none dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400" type="file" id="files_docs" wire:model="files_docs" multiple>

                                
                                <?php endif; ?>
                                <span>or</span>
                                <div class="block mb-2 text-sm font-medium text-gray-900 dark:text-white" wire:loading.remove wire.target="files_docs"><?php echo e(__('messages.Drag it here')); ?></div>
                                <div class="mt-1" wire:loading.flex wire.target="files_docs">
                                    <svg class="animate-spin -ml-1 mr-3 h-5 w-5 text-gray-700" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                                        <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle>
                                        <path class="opacity-75" fill="currentColor" d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"></path>
                                    </svg>
                                    <div><?php echo e(__('messages.Processing Files')); ?></div>
                                </div>
                                <?php endif; ?>
                                
                                <section class="overflow-hidden text-gray-700 ">
                                    <?php echo $__env->make('livewire.tasks.partials.file_preview', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </section>
                            </div>
                        </div>

                        <div class="form-group">
                            <?php $__errorArgs = ['files_docs'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger" style="font-size: 11.5px;"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            <div wire:loading wire:target="files_docs" wire:key="files_docs">
                                <i class="fa fa-spinner fa-spin mt-2 ml-2"></i>
                                <?php echo e(__('messages.Uploading')); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mt-8">
                <label class="inline-flex relative items-center cursor-pointer">
                    <input wire:click.defer="toggle_autopublish()" type="checkbox" value="" class="sr-only peer">
                    <div class="w-11 h-6 bg-gray-200 rounded-full peer peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 dark:bg-gray-400 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-0.5 after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-blue-600"></div>
                    <span class="ml-3 text-sm font-medium text-gray-900 dark:text-gray-300"><?php echo e(__('task.auto_publish_toggle')); ?></span>
                </label>
                <?php if($auto_publish_toggle): ?>
                <div class="bg-white dark:bg-gray-800 sm:pb-4">
                    <label for="auto_publish" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2"><?php echo e(__('task.auto_publish')); ?></label>
                    <input type="datetime-local" class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 w-1/3 text-center" id="auto_publish" wire:model.defer="auto_publish">
                </div>
                <?php endif; ?>
            </div>
        </div>
        </form>
    </div>

    <script>
        function drop_file_component() {
            return {
                dropingFile: false,
                handleFileDrop(e) {
                    if (event.dataTransfer.files.length > 0) {
                        const files = e.dataTransfer.files;
                        window.livewire.find('<?php echo e($_instance->id); ?>').uploadMultiple('files_docs', files,
                        (uploadedFilename) => {}, () => {}, (event) => {}
                        )
                    }
                }
            };
        }
    </script>
</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/tasks/tasks-form.blade.php ENDPATH**/ ?>